IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network241.4.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
241.4.0.0- Broadcast address
241.7.255.255- First usable
241.4.0.1- Last usable
241.7.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F1040000· Integer4043571200to4043833343 - Reverse DNS zones
4.241.in-addr.arpa5.241.in-addr.arpa6.241.in-addr.arpa7.241.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110001.00000100.00000000.00000000 | 241.4.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 11110001.00000100.00000000.00000000 | 241.4.0.0 |
| Broadcast | 11110001.00000111.11111111.11111111 | 241.7.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
241.4.0.0/14 makes 512 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 241.4.0.0/23 | 241.4.0.1 to 241.4.1.254 | 241.4.1.255 | 510 |
| 2 | 241.4.2.0/23 | 241.4.2.1 to 241.4.3.254 | 241.4.3.255 | 510 |
| 3 | 241.4.4.0/23 | 241.4.4.1 to 241.4.5.254 | 241.4.5.255 | 510 |
| 4 | 241.4.6.0/23 | 241.4.6.1 to 241.4.7.254 | 241.4.7.255 | 510 |
| 5 | 241.4.8.0/23 | 241.4.8.1 to 241.4.9.254 | 241.4.9.255 | 510 |
| 6 | 241.4.10.0/23 | 241.4.10.1 to 241.4.11.254 | 241.4.11.255 | 510 |
| 7 | 241.4.12.0/23 | 241.4.12.1 to 241.4.13.254 | 241.4.13.255 | 510 |
| 8 | 241.4.14.0/23 | 241.4.14.1 to 241.4.15.254 | 241.4.15.255 | 510 |
| 9 | 241.4.16.0/23 | 241.4.16.1 to 241.4.17.254 | 241.4.17.255 | 510 |
| 10 | 241.4.18.0/23 | 241.4.18.1 to 241.4.19.254 | 241.4.19.255 | 510 |
| 11 | 241.4.20.0/23 | 241.4.20.1 to 241.4.21.254 | 241.4.21.255 | 510 |
| 12 | 241.4.22.0/23 | 241.4.22.1 to 241.4.23.254 | 241.4.23.255 | 510 |
| 13 | 241.4.24.0/23 | 241.4.24.1 to 241.4.25.254 | 241.4.25.255 | 510 |
| 14 | 241.4.26.0/23 | 241.4.26.1 to 241.4.27.254 | 241.4.27.255 | 510 |
| 15 | 241.4.28.0/23 | 241.4.28.1 to 241.4.29.254 | 241.4.29.255 | 510 |
| 16 | 241.4.30.0/23 | 241.4.30.1 to 241.4.31.254 | 241.4.31.255 | 510 |
| 17 | 241.4.32.0/23 | 241.4.32.1 to 241.4.33.254 | 241.4.33.255 | 510 |
| 18 | 241.4.34.0/23 | 241.4.34.1 to 241.4.35.254 | 241.4.35.255 | 510 |
| 19 | 241.4.36.0/23 | 241.4.36.1 to 241.4.37.254 | 241.4.37.255 | 510 |
| 20 | 241.4.38.0/23 | 241.4.38.1 to 241.4.39.254 | 241.4.39.255 | 510 |
| 21 | 241.4.40.0/23 | 241.4.40.1 to 241.4.41.254 | 241.4.41.255 | 510 |
| 22 | 241.4.42.0/23 | 241.4.42.1 to 241.4.43.254 | 241.4.43.255 | 510 |
| 23 | 241.4.44.0/23 | 241.4.44.1 to 241.4.45.254 | 241.4.45.255 | 510 |
| 24 | 241.4.46.0/23 | 241.4.46.1 to 241.4.47.254 | 241.4.47.255 | 510 |
| 25 | 241.4.48.0/23 | 241.4.48.1 to 241.4.49.254 | 241.4.49.255 | 510 |
| 26 | 241.4.50.0/23 | 241.4.50.1 to 241.4.51.254 | 241.4.51.255 | 510 |
| 27 | 241.4.52.0/23 | 241.4.52.1 to 241.4.53.254 | 241.4.53.255 | 510 |
| 28 | 241.4.54.0/23 | 241.4.54.1 to 241.4.55.254 | 241.4.55.255 | 510 |
| 29 | 241.4.56.0/23 | 241.4.56.1 to 241.4.57.254 | 241.4.57.255 | 510 |
| 30 | 241.4.58.0/23 | 241.4.58.1 to 241.4.59.254 | 241.4.59.255 | 510 |
| 31 | 241.4.60.0/23 | 241.4.60.1 to 241.4.61.254 | 241.4.61.255 | 510 |
| 32 | 241.4.62.0/23 | 241.4.62.1 to 241.4.63.254 | 241.4.63.255 | 510 |
| 33 | 241.4.64.0/23 | 241.4.64.1 to 241.4.65.254 | 241.4.65.255 | 510 |
| 34 | 241.4.66.0/23 | 241.4.66.1 to 241.4.67.254 | 241.4.67.255 | 510 |
| 35 | 241.4.68.0/23 | 241.4.68.1 to 241.4.69.254 | 241.4.69.255 | 510 |
| 36 | 241.4.70.0/23 | 241.4.70.1 to 241.4.71.254 | 241.4.71.255 | 510 |
| 37 | 241.4.72.0/23 | 241.4.72.1 to 241.4.73.254 | 241.4.73.255 | 510 |
| 38 | 241.4.74.0/23 | 241.4.74.1 to 241.4.75.254 | 241.4.75.255 | 510 |
| 39 | 241.4.76.0/23 | 241.4.76.1 to 241.4.77.254 | 241.4.77.255 | 510 |
| 40 | 241.4.78.0/23 | 241.4.78.1 to 241.4.79.254 | 241.4.79.255 | 510 |
| 41 | 241.4.80.0/23 | 241.4.80.1 to 241.4.81.254 | 241.4.81.255 | 510 |
| 42 | 241.4.82.0/23 | 241.4.82.1 to 241.4.83.254 | 241.4.83.255 | 510 |
| 43 | 241.4.84.0/23 | 241.4.84.1 to 241.4.85.254 | 241.4.85.255 | 510 |
| 44 | 241.4.86.0/23 | 241.4.86.1 to 241.4.87.254 | 241.4.87.255 | 510 |
| 45 | 241.4.88.0/23 | 241.4.88.1 to 241.4.89.254 | 241.4.89.255 | 510 |
| 46 | 241.4.90.0/23 | 241.4.90.1 to 241.4.91.254 | 241.4.91.255 | 510 |
| 47 | 241.4.92.0/23 | 241.4.92.1 to 241.4.93.254 | 241.4.93.255 | 510 |
| 48 | 241.4.94.0/23 | 241.4.94.1 to 241.4.95.254 | 241.4.95.255 | 510 |
| 49 | 241.4.96.0/23 | 241.4.96.1 to 241.4.97.254 | 241.4.97.255 | 510 |
| 50 | 241.4.98.0/23 | 241.4.98.1 to 241.4.99.254 | 241.4.99.255 | 510 |
| 51 | 241.4.100.0/23 | 241.4.100.1 to 241.4.101.254 | 241.4.101.255 | 510 |
| 52 | 241.4.102.0/23 | 241.4.102.1 to 241.4.103.254 | 241.4.103.255 | 510 |
| 53 | 241.4.104.0/23 | 241.4.104.1 to 241.4.105.254 | 241.4.105.255 | 510 |
| 54 | 241.4.106.0/23 | 241.4.106.1 to 241.4.107.254 | 241.4.107.255 | 510 |
| 55 | 241.4.108.0/23 | 241.4.108.1 to 241.4.109.254 | 241.4.109.255 | 510 |
| 56 | 241.4.110.0/23 | 241.4.110.1 to 241.4.111.254 | 241.4.111.255 | 510 |
| 57 | 241.4.112.0/23 | 241.4.112.1 to 241.4.113.254 | 241.4.113.255 | 510 |
| 58 | 241.4.114.0/23 | 241.4.114.1 to 241.4.115.254 | 241.4.115.255 | 510 |
| 59 | 241.4.116.0/23 | 241.4.116.1 to 241.4.117.254 | 241.4.117.255 | 510 |
| 60 | 241.4.118.0/23 | 241.4.118.1 to 241.4.119.254 | 241.4.119.255 | 510 |
| 61 | 241.4.120.0/23 | 241.4.120.1 to 241.4.121.254 | 241.4.121.255 | 510 |
| 62 | 241.4.122.0/23 | 241.4.122.1 to 241.4.123.254 | 241.4.123.255 | 510 |
| 63 | 241.4.124.0/23 | 241.4.124.1 to 241.4.125.254 | 241.4.125.255 | 510 |
| 64 | 241.4.126.0/23 | 241.4.126.1 to 241.4.127.254 | 241.4.127.255 | 510 |
| 65 | 241.4.128.0/23 | 241.4.128.1 to 241.4.129.254 | 241.4.129.255 | 510 |
| 66 | 241.4.130.0/23 | 241.4.130.1 to 241.4.131.254 | 241.4.131.255 | 510 |
| 67 | 241.4.132.0/23 | 241.4.132.1 to 241.4.133.254 | 241.4.133.255 | 510 |
| 68 | 241.4.134.0/23 | 241.4.134.1 to 241.4.135.254 | 241.4.135.255 | 510 |
| 69 | 241.4.136.0/23 | 241.4.136.1 to 241.4.137.254 | 241.4.137.255 | 510 |
| 70 | 241.4.138.0/23 | 241.4.138.1 to 241.4.139.254 | 241.4.139.255 | 510 |
| 71 | 241.4.140.0/23 | 241.4.140.1 to 241.4.141.254 | 241.4.141.255 | 510 |
| 72 | 241.4.142.0/23 | 241.4.142.1 to 241.4.143.254 | 241.4.143.255 | 510 |
| 73 | 241.4.144.0/23 | 241.4.144.1 to 241.4.145.254 | 241.4.145.255 | 510 |
| 74 | 241.4.146.0/23 | 241.4.146.1 to 241.4.147.254 | 241.4.147.255 | 510 |
| 75 | 241.4.148.0/23 | 241.4.148.1 to 241.4.149.254 | 241.4.149.255 | 510 |
| 76 | 241.4.150.0/23 | 241.4.150.1 to 241.4.151.254 | 241.4.151.255 | 510 |
| 77 | 241.4.152.0/23 | 241.4.152.1 to 241.4.153.254 | 241.4.153.255 | 510 |
| 78 | 241.4.154.0/23 | 241.4.154.1 to 241.4.155.254 | 241.4.155.255 | 510 |
| 79 | 241.4.156.0/23 | 241.4.156.1 to 241.4.157.254 | 241.4.157.255 | 510 |
| 80 | 241.4.158.0/23 | 241.4.158.1 to 241.4.159.254 | 241.4.159.255 | 510 |
| 81 | 241.4.160.0/23 | 241.4.160.1 to 241.4.161.254 | 241.4.161.255 | 510 |
| 82 | 241.4.162.0/23 | 241.4.162.1 to 241.4.163.254 | 241.4.163.255 | 510 |
| 83 | 241.4.164.0/23 | 241.4.164.1 to 241.4.165.254 | 241.4.165.255 | 510 |
| 84 | 241.4.166.0/23 | 241.4.166.1 to 241.4.167.254 | 241.4.167.255 | 510 |
| 85 | 241.4.168.0/23 | 241.4.168.1 to 241.4.169.254 | 241.4.169.255 | 510 |
| 86 | 241.4.170.0/23 | 241.4.170.1 to 241.4.171.254 | 241.4.171.255 | 510 |
| 87 | 241.4.172.0/23 | 241.4.172.1 to 241.4.173.254 | 241.4.173.255 | 510 |
| 88 | 241.4.174.0/23 | 241.4.174.1 to 241.4.175.254 | 241.4.175.255 | 510 |
| 89 | 241.4.176.0/23 | 241.4.176.1 to 241.4.177.254 | 241.4.177.255 | 510 |
| 90 | 241.4.178.0/23 | 241.4.178.1 to 241.4.179.254 | 241.4.179.255 | 510 |
| 91 | 241.4.180.0/23 | 241.4.180.1 to 241.4.181.254 | 241.4.181.255 | 510 |
| 92 | 241.4.182.0/23 | 241.4.182.1 to 241.4.183.254 | 241.4.183.255 | 510 |
| 93 | 241.4.184.0/23 | 241.4.184.1 to 241.4.185.254 | 241.4.185.255 | 510 |
| 94 | 241.4.186.0/23 | 241.4.186.1 to 241.4.187.254 | 241.4.187.255 | 510 |
| 95 | 241.4.188.0/23 | 241.4.188.1 to 241.4.189.254 | 241.4.189.255 | 510 |
| 96 | 241.4.190.0/23 | 241.4.190.1 to 241.4.191.254 | 241.4.191.255 | 510 |
| 97 | 241.4.192.0/23 | 241.4.192.1 to 241.4.193.254 | 241.4.193.255 | 510 |
| 98 | 241.4.194.0/23 | 241.4.194.1 to 241.4.195.254 | 241.4.195.255 | 510 |
| 99 | 241.4.196.0/23 | 241.4.196.1 to 241.4.197.254 | 241.4.197.255 | 510 |
| 100 | 241.4.198.0/23 | 241.4.198.1 to 241.4.199.254 | 241.4.199.255 | 510 |
| 101 | 241.4.200.0/23 | 241.4.200.1 to 241.4.201.254 | 241.4.201.255 | 510 |
| 102 | 241.4.202.0/23 | 241.4.202.1 to 241.4.203.254 | 241.4.203.255 | 510 |
| 103 | 241.4.204.0/23 | 241.4.204.1 to 241.4.205.254 | 241.4.205.255 | 510 |
| 104 | 241.4.206.0/23 | 241.4.206.1 to 241.4.207.254 | 241.4.207.255 | 510 |
| 105 | 241.4.208.0/23 | 241.4.208.1 to 241.4.209.254 | 241.4.209.255 | 510 |
| 106 | 241.4.210.0/23 | 241.4.210.1 to 241.4.211.254 | 241.4.211.255 | 510 |
| 107 | 241.4.212.0/23 | 241.4.212.1 to 241.4.213.254 | 241.4.213.255 | 510 |
| 108 | 241.4.214.0/23 | 241.4.214.1 to 241.4.215.254 | 241.4.215.255 | 510 |
| 109 | 241.4.216.0/23 | 241.4.216.1 to 241.4.217.254 | 241.4.217.255 | 510 |
| 110 | 241.4.218.0/23 | 241.4.218.1 to 241.4.219.254 | 241.4.219.255 | 510 |
| 111 | 241.4.220.0/23 | 241.4.220.1 to 241.4.221.254 | 241.4.221.255 | 510 |
| 112 | 241.4.222.0/23 | 241.4.222.1 to 241.4.223.254 | 241.4.223.255 | 510 |
| 113 | 241.4.224.0/23 | 241.4.224.1 to 241.4.225.254 | 241.4.225.255 | 510 |
| 114 | 241.4.226.0/23 | 241.4.226.1 to 241.4.227.254 | 241.4.227.255 | 510 |
| 115 | 241.4.228.0/23 | 241.4.228.1 to 241.4.229.254 | 241.4.229.255 | 510 |
| 116 | 241.4.230.0/23 | 241.4.230.1 to 241.4.231.254 | 241.4.231.255 | 510 |
| 117 | 241.4.232.0/23 | 241.4.232.1 to 241.4.233.254 | 241.4.233.255 | 510 |
| 118 | 241.4.234.0/23 | 241.4.234.1 to 241.4.235.254 | 241.4.235.255 | 510 |
| 119 | 241.4.236.0/23 | 241.4.236.1 to 241.4.237.254 | 241.4.237.255 | 510 |
| 120 | 241.4.238.0/23 | 241.4.238.1 to 241.4.239.254 | 241.4.239.255 | 510 |
| 121 | 241.4.240.0/23 | 241.4.240.1 to 241.4.241.254 | 241.4.241.255 | 510 |
| 122 | 241.4.242.0/23 | 241.4.242.1 to 241.4.243.254 | 241.4.243.255 | 510 |
| 123 | 241.4.244.0/23 | 241.4.244.1 to 241.4.245.254 | 241.4.245.255 | 510 |
| 124 | 241.4.246.0/23 | 241.4.246.1 to 241.4.247.254 | 241.4.247.255 | 510 |
| 125 | 241.4.248.0/23 | 241.4.248.1 to 241.4.249.254 | 241.4.249.255 | 510 |
| 126 | 241.4.250.0/23 | 241.4.250.1 to 241.4.251.254 | 241.4.251.255 | 510 |
| 127 | 241.4.252.0/23 | 241.4.252.1 to 241.4.253.254 | 241.4.253.255 | 510 |
| 128 | 241.4.254.0/23 | 241.4.254.1 to 241.4.255.254 | 241.4.255.255 | 510 |
| 129 | 241.5.0.0/23 | 241.5.0.1 to 241.5.1.254 | 241.5.1.255 | 510 |
| 130 | 241.5.2.0/23 | 241.5.2.1 to 241.5.3.254 | 241.5.3.255 | 510 |
| 131 | 241.5.4.0/23 | 241.5.4.1 to 241.5.5.254 | 241.5.5.255 | 510 |
| 132 | 241.5.6.0/23 | 241.5.6.1 to 241.5.7.254 | 241.5.7.255 | 510 |
| 133 | 241.5.8.0/23 | 241.5.8.1 to 241.5.9.254 | 241.5.9.255 | 510 |
| 134 | 241.5.10.0/23 | 241.5.10.1 to 241.5.11.254 | 241.5.11.255 | 510 |
| 135 | 241.5.12.0/23 | 241.5.12.1 to 241.5.13.254 | 241.5.13.255 | 510 |
| 136 | 241.5.14.0/23 | 241.5.14.1 to 241.5.15.254 | 241.5.15.255 | 510 |
| 137 | 241.5.16.0/23 | 241.5.16.1 to 241.5.17.254 | 241.5.17.255 | 510 |
| 138 | 241.5.18.0/23 | 241.5.18.1 to 241.5.19.254 | 241.5.19.255 | 510 |
| 139 | 241.5.20.0/23 | 241.5.20.1 to 241.5.21.254 | 241.5.21.255 | 510 |
| 140 | 241.5.22.0/23 | 241.5.22.1 to 241.5.23.254 | 241.5.23.255 | 510 |
| 141 | 241.5.24.0/23 | 241.5.24.1 to 241.5.25.254 | 241.5.25.255 | 510 |
| 142 | 241.5.26.0/23 | 241.5.26.1 to 241.5.27.254 | 241.5.27.255 | 510 |
| 143 | 241.5.28.0/23 | 241.5.28.1 to 241.5.29.254 | 241.5.29.255 | 510 |
| 144 | 241.5.30.0/23 | 241.5.30.1 to 241.5.31.254 | 241.5.31.255 | 510 |
| 145 | 241.5.32.0/23 | 241.5.32.1 to 241.5.33.254 | 241.5.33.255 | 510 |
| 146 | 241.5.34.0/23 | 241.5.34.1 to 241.5.35.254 | 241.5.35.255 | 510 |
| 147 | 241.5.36.0/23 | 241.5.36.1 to 241.5.37.254 | 241.5.37.255 | 510 |
| 148 | 241.5.38.0/23 | 241.5.38.1 to 241.5.39.254 | 241.5.39.255 | 510 |
| 149 | 241.5.40.0/23 | 241.5.40.1 to 241.5.41.254 | 241.5.41.255 | 510 |
| 150 | 241.5.42.0/23 | 241.5.42.1 to 241.5.43.254 | 241.5.43.255 | 510 |
| 151 | 241.5.44.0/23 | 241.5.44.1 to 241.5.45.254 | 241.5.45.255 | 510 |
| 152 | 241.5.46.0/23 | 241.5.46.1 to 241.5.47.254 | 241.5.47.255 | 510 |
| 153 | 241.5.48.0/23 | 241.5.48.1 to 241.5.49.254 | 241.5.49.255 | 510 |
| 154 | 241.5.50.0/23 | 241.5.50.1 to 241.5.51.254 | 241.5.51.255 | 510 |
| 155 | 241.5.52.0/23 | 241.5.52.1 to 241.5.53.254 | 241.5.53.255 | 510 |
| 156 | 241.5.54.0/23 | 241.5.54.1 to 241.5.55.254 | 241.5.55.255 | 510 |
| 157 | 241.5.56.0/23 | 241.5.56.1 to 241.5.57.254 | 241.5.57.255 | 510 |
| 158 | 241.5.58.0/23 | 241.5.58.1 to 241.5.59.254 | 241.5.59.255 | 510 |
| 159 | 241.5.60.0/23 | 241.5.60.1 to 241.5.61.254 | 241.5.61.255 | 510 |
| 160 | 241.5.62.0/23 | 241.5.62.1 to 241.5.63.254 | 241.5.63.255 | 510 |
| 161 | 241.5.64.0/23 | 241.5.64.1 to 241.5.65.254 | 241.5.65.255 | 510 |
| 162 | 241.5.66.0/23 | 241.5.66.1 to 241.5.67.254 | 241.5.67.255 | 510 |
| 163 | 241.5.68.0/23 | 241.5.68.1 to 241.5.69.254 | 241.5.69.255 | 510 |
| 164 | 241.5.70.0/23 | 241.5.70.1 to 241.5.71.254 | 241.5.71.255 | 510 |
| 165 | 241.5.72.0/23 | 241.5.72.1 to 241.5.73.254 | 241.5.73.255 | 510 |
| 166 | 241.5.74.0/23 | 241.5.74.1 to 241.5.75.254 | 241.5.75.255 | 510 |
| 167 | 241.5.76.0/23 | 241.5.76.1 to 241.5.77.254 | 241.5.77.255 | 510 |
| 168 | 241.5.78.0/23 | 241.5.78.1 to 241.5.79.254 | 241.5.79.255 | 510 |
| 169 | 241.5.80.0/23 | 241.5.80.1 to 241.5.81.254 | 241.5.81.255 | 510 |
| 170 | 241.5.82.0/23 | 241.5.82.1 to 241.5.83.254 | 241.5.83.255 | 510 |
| 171 | 241.5.84.0/23 | 241.5.84.1 to 241.5.85.254 | 241.5.85.255 | 510 |
| 172 | 241.5.86.0/23 | 241.5.86.1 to 241.5.87.254 | 241.5.87.255 | 510 |
| 173 | 241.5.88.0/23 | 241.5.88.1 to 241.5.89.254 | 241.5.89.255 | 510 |
| 174 | 241.5.90.0/23 | 241.5.90.1 to 241.5.91.254 | 241.5.91.255 | 510 |
| 175 | 241.5.92.0/23 | 241.5.92.1 to 241.5.93.254 | 241.5.93.255 | 510 |
| 176 | 241.5.94.0/23 | 241.5.94.1 to 241.5.95.254 | 241.5.95.255 | 510 |
| 177 | 241.5.96.0/23 | 241.5.96.1 to 241.5.97.254 | 241.5.97.255 | 510 |
| 178 | 241.5.98.0/23 | 241.5.98.1 to 241.5.99.254 | 241.5.99.255 | 510 |
| 179 | 241.5.100.0/23 | 241.5.100.1 to 241.5.101.254 | 241.5.101.255 | 510 |
| 180 | 241.5.102.0/23 | 241.5.102.1 to 241.5.103.254 | 241.5.103.255 | 510 |
| 181 | 241.5.104.0/23 | 241.5.104.1 to 241.5.105.254 | 241.5.105.255 | 510 |
| 182 | 241.5.106.0/23 | 241.5.106.1 to 241.5.107.254 | 241.5.107.255 | 510 |
| 183 | 241.5.108.0/23 | 241.5.108.1 to 241.5.109.254 | 241.5.109.255 | 510 |
| 184 | 241.5.110.0/23 | 241.5.110.1 to 241.5.111.254 | 241.5.111.255 | 510 |
| 185 | 241.5.112.0/23 | 241.5.112.1 to 241.5.113.254 | 241.5.113.255 | 510 |
| 186 | 241.5.114.0/23 | 241.5.114.1 to 241.5.115.254 | 241.5.115.255 | 510 |
| 187 | 241.5.116.0/23 | 241.5.116.1 to 241.5.117.254 | 241.5.117.255 | 510 |
| 188 | 241.5.118.0/23 | 241.5.118.1 to 241.5.119.254 | 241.5.119.255 | 510 |
| 189 | 241.5.120.0/23 | 241.5.120.1 to 241.5.121.254 | 241.5.121.255 | 510 |
| 190 | 241.5.122.0/23 | 241.5.122.1 to 241.5.123.254 | 241.5.123.255 | 510 |
| 191 | 241.5.124.0/23 | 241.5.124.1 to 241.5.125.254 | 241.5.125.255 | 510 |
| 192 | 241.5.126.0/23 | 241.5.126.1 to 241.5.127.254 | 241.5.127.255 | 510 |
| 193 | 241.5.128.0/23 | 241.5.128.1 to 241.5.129.254 | 241.5.129.255 | 510 |
| 194 | 241.5.130.0/23 | 241.5.130.1 to 241.5.131.254 | 241.5.131.255 | 510 |
| 195 | 241.5.132.0/23 | 241.5.132.1 to 241.5.133.254 | 241.5.133.255 | 510 |
| 196 | 241.5.134.0/23 | 241.5.134.1 to 241.5.135.254 | 241.5.135.255 | 510 |
| 197 | 241.5.136.0/23 | 241.5.136.1 to 241.5.137.254 | 241.5.137.255 | 510 |
| 198 | 241.5.138.0/23 | 241.5.138.1 to 241.5.139.254 | 241.5.139.255 | 510 |
| 199 | 241.5.140.0/23 | 241.5.140.1 to 241.5.141.254 | 241.5.141.255 | 510 |
| 200 | 241.5.142.0/23 | 241.5.142.1 to 241.5.143.254 | 241.5.143.255 | 510 |
| 201 | 241.5.144.0/23 | 241.5.144.1 to 241.5.145.254 | 241.5.145.255 | 510 |
| 202 | 241.5.146.0/23 | 241.5.146.1 to 241.5.147.254 | 241.5.147.255 | 510 |
| 203 | 241.5.148.0/23 | 241.5.148.1 to 241.5.149.254 | 241.5.149.255 | 510 |
| 204 | 241.5.150.0/23 | 241.5.150.1 to 241.5.151.254 | 241.5.151.255 | 510 |
| 205 | 241.5.152.0/23 | 241.5.152.1 to 241.5.153.254 | 241.5.153.255 | 510 |
| 206 | 241.5.154.0/23 | 241.5.154.1 to 241.5.155.254 | 241.5.155.255 | 510 |
| 207 | 241.5.156.0/23 | 241.5.156.1 to 241.5.157.254 | 241.5.157.255 | 510 |
| 208 | 241.5.158.0/23 | 241.5.158.1 to 241.5.159.254 | 241.5.159.255 | 510 |
| 209 | 241.5.160.0/23 | 241.5.160.1 to 241.5.161.254 | 241.5.161.255 | 510 |
| 210 | 241.5.162.0/23 | 241.5.162.1 to 241.5.163.254 | 241.5.163.255 | 510 |
| 211 | 241.5.164.0/23 | 241.5.164.1 to 241.5.165.254 | 241.5.165.255 | 510 |
| 212 | 241.5.166.0/23 | 241.5.166.1 to 241.5.167.254 | 241.5.167.255 | 510 |
| 213 | 241.5.168.0/23 | 241.5.168.1 to 241.5.169.254 | 241.5.169.255 | 510 |
| 214 | 241.5.170.0/23 | 241.5.170.1 to 241.5.171.254 | 241.5.171.255 | 510 |
| 215 | 241.5.172.0/23 | 241.5.172.1 to 241.5.173.254 | 241.5.173.255 | 510 |
| 216 | 241.5.174.0/23 | 241.5.174.1 to 241.5.175.254 | 241.5.175.255 | 510 |
| 217 | 241.5.176.0/23 | 241.5.176.1 to 241.5.177.254 | 241.5.177.255 | 510 |
| 218 | 241.5.178.0/23 | 241.5.178.1 to 241.5.179.254 | 241.5.179.255 | 510 |
| 219 | 241.5.180.0/23 | 241.5.180.1 to 241.5.181.254 | 241.5.181.255 | 510 |
| 220 | 241.5.182.0/23 | 241.5.182.1 to 241.5.183.254 | 241.5.183.255 | 510 |
| 221 | 241.5.184.0/23 | 241.5.184.1 to 241.5.185.254 | 241.5.185.255 | 510 |
| 222 | 241.5.186.0/23 | 241.5.186.1 to 241.5.187.254 | 241.5.187.255 | 510 |
| 223 | 241.5.188.0/23 | 241.5.188.1 to 241.5.189.254 | 241.5.189.255 | 510 |
| 224 | 241.5.190.0/23 | 241.5.190.1 to 241.5.191.254 | 241.5.191.255 | 510 |
| 225 | 241.5.192.0/23 | 241.5.192.1 to 241.5.193.254 | 241.5.193.255 | 510 |
| 226 | 241.5.194.0/23 | 241.5.194.1 to 241.5.195.254 | 241.5.195.255 | 510 |
| 227 | 241.5.196.0/23 | 241.5.196.1 to 241.5.197.254 | 241.5.197.255 | 510 |
| 228 | 241.5.198.0/23 | 241.5.198.1 to 241.5.199.254 | 241.5.199.255 | 510 |
| 229 | 241.5.200.0/23 | 241.5.200.1 to 241.5.201.254 | 241.5.201.255 | 510 |
| 230 | 241.5.202.0/23 | 241.5.202.1 to 241.5.203.254 | 241.5.203.255 | 510 |
| 231 | 241.5.204.0/23 | 241.5.204.1 to 241.5.205.254 | 241.5.205.255 | 510 |
| 232 | 241.5.206.0/23 | 241.5.206.1 to 241.5.207.254 | 241.5.207.255 | 510 |
| 233 | 241.5.208.0/23 | 241.5.208.1 to 241.5.209.254 | 241.5.209.255 | 510 |
| 234 | 241.5.210.0/23 | 241.5.210.1 to 241.5.211.254 | 241.5.211.255 | 510 |
| 235 | 241.5.212.0/23 | 241.5.212.1 to 241.5.213.254 | 241.5.213.255 | 510 |
| 236 | 241.5.214.0/23 | 241.5.214.1 to 241.5.215.254 | 241.5.215.255 | 510 |
| 237 | 241.5.216.0/23 | 241.5.216.1 to 241.5.217.254 | 241.5.217.255 | 510 |
| 238 | 241.5.218.0/23 | 241.5.218.1 to 241.5.219.254 | 241.5.219.255 | 510 |
| 239 | 241.5.220.0/23 | 241.5.220.1 to 241.5.221.254 | 241.5.221.255 | 510 |
| 240 | 241.5.222.0/23 | 241.5.222.1 to 241.5.223.254 | 241.5.223.255 | 510 |
| 241 | 241.5.224.0/23 | 241.5.224.1 to 241.5.225.254 | 241.5.225.255 | 510 |
| 242 | 241.5.226.0/23 | 241.5.226.1 to 241.5.227.254 | 241.5.227.255 | 510 |
| 243 | 241.5.228.0/23 | 241.5.228.1 to 241.5.229.254 | 241.5.229.255 | 510 |
| 244 | 241.5.230.0/23 | 241.5.230.1 to 241.5.231.254 | 241.5.231.255 | 510 |
| 245 | 241.5.232.0/23 | 241.5.232.1 to 241.5.233.254 | 241.5.233.255 | 510 |
| 246 | 241.5.234.0/23 | 241.5.234.1 to 241.5.235.254 | 241.5.235.255 | 510 |
| 247 | 241.5.236.0/23 | 241.5.236.1 to 241.5.237.254 | 241.5.237.255 | 510 |
| 248 | 241.5.238.0/23 | 241.5.238.1 to 241.5.239.254 | 241.5.239.255 | 510 |
| 249 | 241.5.240.0/23 | 241.5.240.1 to 241.5.241.254 | 241.5.241.255 | 510 |
| 250 | 241.5.242.0/23 | 241.5.242.1 to 241.5.243.254 | 241.5.243.255 | 510 |
| 251 | 241.5.244.0/23 | 241.5.244.1 to 241.5.245.254 | 241.5.245.255 | 510 |
| 252 | 241.5.246.0/23 | 241.5.246.1 to 241.5.247.254 | 241.5.247.255 | 510 |
| 253 | 241.5.248.0/23 | 241.5.248.1 to 241.5.249.254 | 241.5.249.255 | 510 |
| 254 | 241.5.250.0/23 | 241.5.250.1 to 241.5.251.254 | 241.5.251.255 | 510 |
| 255 | 241.5.252.0/23 | 241.5.252.1 to 241.5.253.254 | 241.5.253.255 | 510 |
| 256 | 241.5.254.0/23 | 241.5.254.1 to 241.5.255.254 | 241.5.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |